﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model SSCMvc.Models.Tb_FeeRefund
@{
    ViewBag.Title = "Edit";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts
{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
    @Content.Script("ChildAddEdit.js", Url)
    @Content.Script("AutoComplete-Ui.min.js", Url)
    <script type="text/ecmascript">
        $(document).ready(function () {
            $("#Edate").datepicker();
            $("#btnCancel").click(function () {
                window.location.href = "/Tb_FeeRefund/Index";
            });
             
            $(".ui-combobox").find('a').append('<span class="ui-button-icon-primary ui-icon ui-icon-triangle-1-s"></span> <span class="ui-button-text"></span>').addClass('ui-button ui-widget ui-state-default ui-button-icon-only ui-corner-right ui-combobox-toggle');
            var stuid = $("#combobox").val();
            GetCourseForstudent(stuid);

           
           var chid=$("#couseidhidden").val();
             Getpackage(chid);
            
            
        });

        $(function () {

            $("#combobox").combobox({

                selected: function (event, ui) {

                    GetCourseForstudent($(this).val());
                    
                }
            });

        });

         function GetCourseForstudent(myval) { 
       
              var idCourse = myval;
            $.getJSON("/Tb_FeeRefund/LoadPackageByCourse", { id: idCourse },
   function (modelData) {

       var select = $("#CourseId");

       select.empty();
       select.append($('<option/>', {
           value: 0,
           text: "Select a Course"
       }));
       $.each(modelData, function (index, itemData) {

      
           select.append($('<option/>', {

               value: itemData.Value,
               text: itemData.Text,



           }));
          $("#CourseId").val($("#couseidhidden").val());
       });
   });
       
        }






    </script>
    <script type="text/javascript">

    


        $("#CourseId").change(function () {

        Getpackage($("#CourseId").val());
        });

        function Getpackage(idCourse) {

            
             var stuid = $("#combobox").val();
             
            $.getJSON("/Tb_FeeRefund/LoadPackageBypackages", { id: idCourse,stuid:stuid },
   function (modelData) {

       var select = $("#PackageId");
       select.empty();
       select.append($('<option/>', {
           value: 0,
           text: "Select a Package"
       }));
       $.each(modelData, function (index, itemData) {


           select.append($('<option/>', {

               value: itemData.Value,
               text: itemData.Text,



           }));
            $("#PackageId").val($("#packhidden").val());
       });
   });
        }
    </script>
}
@using (Html.BeginForm())
{
    @Html.ValidationSummary(true)

    <div class="header">
        <div class="stats">
        </div>
        <h1 class="page-title">
            Edit Fee Refund</h1>
    </div>
    <ul class="breadcrumb">
        @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
          string refadd = CommonUtil.HomeAddress(utype);
        }
        <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
        <li class="active">Dashboard</li>
    </ul>
    
    
    
    
    <div class="container-fluid">
        <div class="row-fluid">
            <div class="btn-toolbar">
                <input type="submit" value="Update" class="btn btn-primary" />
                <input type="button" value="Cancel" class="btn btn-primary" id="btnCancel" />
                <div class="btn-group">
                </div>
            </div>
            <div class="well">
                <div id="myTabContent" class="tab-content">
                    <div class="tab-pane active in" id="home">
                        <form id="tab">
                        <table style="width: 750px" align="center">
                            <tr>
                                <td>
                                    <fieldset>
                                        <legend>Fee Refund</legend>
                                        <table>
                                            <tr>
                                                <td align="left" class="editor-label" width="115px">
                                                    @Html.HiddenFor(model => model.Id)
                                                    @Html.LabelFor(model => model.RefundNo)
                                                </td>
                                                <td align="left" class="editor-field" width="200px">
                                                    @Html.DisplayFor(model => model.RefundNo)
                                                    @Html.HiddenFor(model => model.RefundNo)
                                                </td>
                                                <td width="20px">
                                                </td>
                                                <td align="left" class="editor-label" width="115px">
                                                    @Html.LabelFor(model => model.Edate)
                                                </td>
                                                <td align="left" class="editor-field" width="200px">
                                                    @{var edat = Model.Edate.Value.ToShortDateString();
                                                    }
                                                    @Html.TextBox("Edate", @edat)
                                                    @Html.HiddenFor(model => model.Edate)
                                                </td>
                                            </tr>
                                            <tr>
                                                <td align="left" class="editor-label" width="115px">
                                                    @Html.LabelFor(model => model.StudentId)
                                                </td>
                                                <td align="left" class="editor-field" width="200px">
                                                    @Html.DropDownList("StudentId", null, new { @id = "combobox" })
                                                    @Html.ValidationMessageFor(model => model.StudentId)
                                                </td>
                                                <td width="50px">
                                                </td>
                                                <td align="left" class="editor-label" width="115px">
                                                    @Html.LabelFor(model => model.RefundAmount)
                                                </td>
                                                <td align="left" class="editor-field" width="200px">
                                                    @Html.EditorFor(model => model.RefundAmount)
                                                    @Html.ValidationMessageFor(model => model.RefundAmount)
                                                </td>
                                            </tr>
                                            <tr>
                                                <td align="left" class="editor-label" width="115px">
                                                    @Html.LabelFor(model => model.CourseId)
                                                </td>
                                                <td align="left" class="editor-field" colspan="3">
                                                    @Html.DropDownList("CourseId", String.Empty)
                                                    @Html.ValidationMessageFor(model => model.CourseId)
                                                    <input type="hidden" id="couseidhidden" value="@Model.CourseId" />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td align="left" class="editor-label" width="115px">
                                                    @Html.LabelFor(model => model.PackageId)
                                                </td>
                                                <td align="left" class="editor-field" colspan="3">
                                                    @Html.DropDownList("PackageId", String.Empty)
                                                    @Html.ValidationMessageFor(model => model.PackageId)
                                                    <input type="hidden" id="packhidden" value="@Model.PackageId" />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td align="left" class="editor-label" width="115px">
                                                    @Html.LabelFor(model => model.Remarks)
                                                </td>
                                                <td align="left" class="editor-field" colspan="4">
                                                    @Html.EditorFor(model => model.Remarks)
                                                    @Html.ValidationMessageFor(model => model.Remarks)
                                                </td>
                                            </tr>
                                        </table>
                                        @*  <p>
                                                <input type="submit" value="Create" />
                                            </p>*@
                                    </fieldset>
                                    <br />
                                </td>
                            </tr>
                        </table>
                        <table align="right" style="width: 450px">
                            <tr>
                                <td>
                                </td>
                            </tr>
                        </table>
                        </form>
                    </div>
                </div>
            </div>
            <footer>
                <hr>

                <p class="pull-right">
                    <a href="#" target="_blank">

                        @Html.ActionLink("Back to List", "Index")

                    </a><a href="#" target="_blank"></a>
                </p>



            </footer>
        </div>
    </div> 
}
<div>
</div>
